xine-lib: video_driver_class_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
video_driver_class_s Struct Reference

`#include <video_out.h>`

## Data Fields
vo_driver_t *(* | open_plugin )(video_driver_class_t *self, const void *visual)
const char * | identifier
| short human readable identifier for this plugin class
const char * | description
| human readable (verbose = 1 line) description for this plugin class
const char * | text_domain
| Optional non-standard catalog to use with dgettext() for description.
void(* | dispose )(video_driver_class_t *self)

## Field Documentation

## ◆ description

const char* video_driver_class_s::description

human readable (verbose = 1 line) description for this plugin class

The description is passed to gettext() to internationalise.

Referenced by fb_init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class_fb(), opengl2_init_class(), opengl_init_class(), raw_init_class(), vaapi_init_class(), vdpau_init_class(), xshm_init_class(), and xshm_init_class().

## ◆ dispose

void(* video_driver_class_s::dispose) (video_driver_class_t *self)

Referenced by fb_init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class_fb(), opengl2_init_class(), opengl_init_class(), raw_init_class(), vaapi_init_class(), vdpau_init_class(), xshm_init_class(), and xshm_init_class().

## ◆ identifier

const char* video_driver_class_s::identifier

short human readable identifier for this plugin class

Referenced by fb_init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class_fb(), opengl2_init_class(), opengl_init_class(), raw_init_class(), vaapi_init_class(), vdpau_init_class(), xshm_init_class(), and xshm_init_class().

## ◆ open_plugin

vo_driver_t *(* video_driver_class_s::open_plugin) (video_driver_class_t *self, const void *visual)

Referenced by fb_init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class(), init_class_2(), init_class_fb(), opengl2_init_class(), opengl_init_class(), raw_init_class(), vaapi_init_class(), vdpau_init_class(), vo_none_init_class(), xshm_init_class(), xshm_init_class(), and xshm_init_class_2().

## ◆ text_domain

const char* video_driver_class_s::text_domain

Optional non-standard catalog to use with dgettext() for description.

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine/video_out.h